<?php
/* Busqueda de registros de la tabla Cr_vista_morosos_compromiso redefinidos por el usuario. */
class Cr_vista_morosos_compromisoFN extends BaseCr_vista_morosos_compromisoFN
{
    public static function ListaTipoPrestamo(  )
    {
        $s_Sql = "SELECT TipoPrestamo
                    FROM Cr_vista_morosos_compromiso
                    GROUP BY TipoPrestamo;";
        $o_Resource = self::getConnect();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        $i_Num = mysql_num_rows( $o_SQLResult );
        $a_lst = null;
        if( $i_Num > 0 )
        {
            while ( $row = mysql_fetch_array( $o_SQLResult, MYSQL_ASSOC ) )
            {
                $a_lst[] = array( "ID" => $row['TipoPrestamo'], "VALUE" => $row['TipoPrestamo'] );
            }
        }
        return $a_lst;
    }
}
?>